Update a user subscription
User Subscriptions
Update a user subscription
Updates the specified notification subscription for the given user. Returns 400 invalid_subscription_id if the subscription does not exist.
PUT
Update a user subscription
Authorizations
Path Parameters
The unique identifier of this user at Extole.
Body
application/json
Body of a PUT /v6/users/{user_id}/subscriptions/{subscription_id} request.
channels
(EMAIL · object | EXTOLE_CLIENT_SLACK · object | SLACK · object | THIRD_PARTY_EMAIL · object | WEBHOOK · object)[]
- EMAIL
- EXTOLE_CLIENT_SLACK
- SLACK
- THIRD_PARTY_EMAIL
- WEBHOOK
Choose between static or dynamic filter expression
Available options:
ALL, NONE, NOTEWORTHY, SOME Response
Updated user subscription.
channels
(EMAIL · object | EXTOLE_CLIENT_SLACK · object | SLACK · object | THIRD_PARTY_EMAIL · object | WEBHOOK · object)[]
required
- EMAIL
- EXTOLE_CLIENT_SLACK
- SLACK
- THIRD_PARTY_EMAIL
- WEBHOOK
The filter expression as configured: a literal value, or an expression (type:string) when defined dynamically.
Available options:
ALL, NONE, NOTEWORTHY, SOME 